package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MigrDatatypeTransformRuleDTO implements Serializable {

    private static final long serialVersionUID = 149818768185340L;

    private Integer id;

    private String sourceDataTypeName;

    private Integer sourcePrecision;

    private Integer sourceScale;

    private String targetDataTypeName;

    private Integer targetPrecision;

    private Integer targetScale;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer mapIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getSourceDataTypeName() {
    return sourceDataTypeName;
    }

        public void setSourceDataTypeName(String sourceDataTypeName) {
    this.sourceDataTypeName = sourceDataTypeName;
    }

        public Integer getSourcePrecision() {
    return sourcePrecision;
    }

        public void setSourcePrecision(Integer sourcePrecision) {
    this.sourcePrecision = sourcePrecision;
    }

        public Integer getSourceScale() {
    return sourceScale;
    }

        public void setSourceScale(Integer sourceScale) {
    this.sourceScale = sourceScale;
    }

        public String getTargetDataTypeName() {
    return targetDataTypeName;
    }

        public void setTargetDataTypeName(String targetDataTypeName) {
    this.targetDataTypeName = targetDataTypeName;
    }

        public Integer getTargetPrecision() {
    return targetPrecision;
    }

        public void setTargetPrecision(Integer targetPrecision) {
    this.targetPrecision = targetPrecision;
    }

        public Integer getTargetScale() {
    return targetScale;
    }

        public void setTargetScale(Integer targetScale) {
    this.targetScale = targetScale;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getMapIdFk() {
    return mapIdFk;
    }

        public void setMapIdFk(Integer mapIdFk) {
    this.mapIdFk = mapIdFk;
    }

}